> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pnbr.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List linked shapes

> List the project's linked Shapes.

**Operation ID:** `http.shapes.links.list`

```http theme={null}
GET /v1/orgs/{org}/projects/{project}/shapes/links
```


## OpenAPI

````yaml openapi.json GET /v1/orgs/{org}/projects/{project}/shapes/links
openapi: 3.1.0
info:
  title: Penumbra API
  version: v1
  description: >-
    HTTP reference for Files, search, extraction, reviews, Graph, Shapes and
    sharing.
servers:
  - url: https://api.pnbr.io
    description: Penumbra API
security: []
paths:
  /v1/orgs/{org}/projects/{project}/shapes/links:
    get:
      tags:
        - Shapes
      summary: List linked shapes
      description: |-
        List the project's linked Shapes.

        Product guidance: [Shape](/concepts/shape).
      operationId: http.shapes.links.list
      parameters:
        - name: org
          in: path
          required: true
          schema:
            type: string
        - name: project
          in: path
          required: true
          schema:
            type: string
      responses:
        2XX:
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/http_shapes_links_list_response'
      security:
        - bearerAuth: []
components:
  schemas:
    http_shapes_links_list_response:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              project_id:
                type: string
              shape_id:
                type: string
              publisher_id:
                type: string
              revision_id:
                type: string
              artifact_digest:
                type: string
              generation:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
              status:
                type: string
                enum:
                  - active
                  - removed
              link_revision:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
              linked_at:
                type: string
              removed_at:
                anyOf:
                  - type: string
                  - type: 'null'
              publisher:
                type: string
              publisher_name:
                type: string
              pending_artifact_digest:
                anyOf:
                  - type: string
                  - type: 'null'
              pending_diff:
                anyOf:
                  - type: object
                    properties:
                      diff: {}
                      compatibility:
                        type: string
                        enum:
                          - compatible
                          - incompatible
                      diagnostics:
                        type: array
                        items: {}
                    required:
                      - diff
                      - compatibility
                      - diagnostics
                    additionalProperties: {}
                  - type: 'null'
            required:
              - project_id
              - shape_id
              - publisher_id
              - revision_id
              - artifact_digest
              - generation
              - status
              - link_revision
              - linked_at
              - removed_at
              - publisher
              - publisher_name
              - pending_artifact_digest
              - pending_diff
            additionalProperties: {}
      required:
        - data
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.